MessageHandlerResultType (Apache Tomcat 9.0.71 API Documentation)

Package org.apache.tomcat.websocket

## Enum MessageHandlerResultType

- java.lang.Object
- - java.lang.Enum<MessageHandlerResultType>
  - - org.apache.tomcat.websocket.MessageHandlerResultType

- All Implemented Interfaces:
    `java.io.Serializable`, `java.lang.Comparable<MessageHandlerResultType>`

      public enum MessageHandlerResultType
      extends java.lang.Enum<MessageHandlerResultType>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant | Description
    --- | ---
    `BINARY` |
    `PONG` |
    `TEXT` |

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static MessageHandlerResultType` | `valueOf​(java.lang.String name)` | Returns the enum constant of this type with the specified name.
    `static MessageHandlerResultType[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### BINARY

          public static final MessageHandlerResultType BINARY

    - #### TEXT

          public static final MessageHandlerResultType TEXT

    - #### PONG

          public static final MessageHandlerResultType PONG

  - ### Method Detail

    - #### values

          public static MessageHandlerResultType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (MessageHandlerResultType c : MessageHandlerResultType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static MessageHandlerResultType valueOf​(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null